/*--------------------------------------------------------------
# Back to Top
--------------------------------------------------------------*/
/* Back to Top */
.toTopB {
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    right: 20px;
    bottom: 20px;
    width: 45px;
    height: 45px;
    border-radius: 50%;
    cursor: pointer;
    visibility: hidden;
    opacity: 0;
    z-index: 5;
    transform: scale(0);
    transition: transform .3s ease-in-out, opacity .3s ease-in-out, visibility .3s ease-in-out, margin-bottom 1s ease-in-out;
}

.toTopB.vsbl {
    visibility: visible;
    opacity: 1;
    transform: scale(1);
}

.toTopB:hover {
    opacity: .8;
}

.toTopB svg {
    height: 100%;
    width: 100%;
    -webkit-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
    transform: rotate(-90deg);
    stroke-width: 1.5;
    cursor: pointer;
}

.toTopB svg .b {
    fill: #fff;
    stroke: #e6e6e6;
    opacity: .9;
}

.toTopB svg .c {
    fill: none;
    stroke: var(--bs-primary);
    stroke-dasharray: 100 100;
    stroke-dashoffset: 100;
    stroke-linecap: round;
}

.toTopB svg .d {
    fill: none;
    stroke: var(--bs-primary);
}

/*--------------------------------------------------------------
# Create Ticket Button
--------------------------------------------------------------*/
.floating-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    right: 20px;
    bottom: 20px;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    cursor: pointer;
    z-index: 5;
    background-color: var(--bs-primary);
    color: white;
    box-shadow: 0px 6px 8px rgba(0, 0, 0, 0.2);
    transition: .1s ease-in-out, .1s ease-in-out, .1s ease-in-out, 0.5s ease-in-out;
}

.floating-btn:hover {
    border: 2px solid var(--bs-primary);
    background-color: transparent;
    color: var(--bs-primary);
}

/*--------------------------------------------------------------
# Ticket & Document Button
--------------------------------------------------------------*/
.edit-button:hover {
    background-color: var(--bs-primary);
}

/*--------------------------------------------------------------
# Tickets Modal
--------------------------------------------------------------*/
.body {
    padding-top: 0;
    font-size: 12px;
    color: #777;
    background: #f9f9f9;
    font-family: 'Open Sans', sans-serif;
    
}

.bg-white {
    background-color: #fff;
}

small,
.small {
    font-size: 85%;
}

.chat-message {
    padding: 60px 20px 115px;
}

.chat {
    list-style: none;
    margin: 0;
}

.chat-message {
    background: #f9f9f9;
}

.chat-body {
    padding-bottom: 20px;
}

.chat li.left .chat-body {
    margin-right: 70px;
    background-color: #fff;
}

.chat li .chat-body {
    position: relative;
    font-size: 14px;
    /* Aumentado el tamaño de la fuente */
    padding: 15px;
    /* Aumentado el padding */
    border: 1px solid #f1f5fc;
    box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
    -moz-box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
    -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
    border-radius: 10px;
    /* Añadido el redondeo de bordes */
    margin-bottom: 15px;
    /* Aumentado el margen inferior */
}

.chat li .chat-body .cabecera {
    padding-bottom: 5px;
    border-bottom: 1px solid #f1f5fc;
    margin-bottom: 10px;
    /* Añadido espacio entre la cabecera y el cuerpo del mensaje */
}

.chat li .chat-body p {
    margin: 0;
}

.chat li.left .chat-body:before {
    position: absolute;
    top: 15px;
    /* Ajustado la posición */
    left: -10px;
    /* Ajustado la posición */
    display: inline-block;
    background: #fff;
    width: 16px;
    height: 16px;
    border-top: 1px solid #f1f5fc;
    border-left: 1px solid #f1f5fc;
    content: '';
    transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
}

.chat li.right .chat-body:before {
    position: absolute;
    top: 15px;
    /* Ajustado la posición */
    right: -10px;
    /* Ajustado la posición */
    display: inline-block;
    background: #fff;
    width: 16px;
    height: 16px;
    border-top: 1px solid #f1f5fc;
    border-right: 1px solid #f1f5fc;
    content: '';
    transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    -o-transform: rotate(45deg);
}

.chat li {
    margin: 15px 0;
}

.chat li.right .chat-body {
    margin-left: 70px;
    background-color: #fff;
}

.chat-box {
    padding: 15px;
    border-top: 1px solid #eee;
    transition: all .5s ease;
    -webkit-transition: all .5s ease;
    -moz-transition: all .5s ease;
    -ms-transition: all .5s ease;
    -o-transition: all .5s ease;
}

.primary-font {
    color: #3c8dbc;
    font-weight: bold;
    font-size: 1rem;
    /* Añadido negrita al nombre del remitente */
}

.input-group {
    margin-top: 15px;
    /* Añadido margen superior al área de entrada */
}

.form-control {
    border: 1px solid #ccc;
    /* Añadido borde al área de entrada */
    border-radius: 5px;
    /* Añadido redondeo de bordes al área de entrada */
}

.btn-success {
    border-radius: 5px;
    /* Añadido redondeo de bordes al botón */
}

a:hover,
a:active,
a:focus {
    text-decoration: none;
    outline: 0;
}

.align-right {
    text-align: right;
}

.align-left {
    text-align: left;
}

@media screen and (max-width: 768px) {
    .chat-message {
        padding: 2% 1% 5%;
    }

    .chat li .chat-body {
        margin-bottom: 1%;
    }
}